For the complete documentation index, see llms.txt. This page is also available as Markdown.

Transaction history

Returns all swap transaction based on parameters provided.

This endpoint will provide swap transactions.

Note:

  • The parameter transactionId & customerId is mandatory while querying single transaction.

  • The parameter customerId is mandatory while querying transactions for a user.

  • The parameter page, pageSize is mandatory while querying all swap transactions.

Get all offramp transaction for an user

POST https://api.onramp.money/onramp/api/v2/whiteLabel/swap/history

Request Body

Name
Type
Description

customerId

String

Unique id received from /kyc/url

transactionId

String

Swap transaction orderId

page

String

Current page Number

Should be greater than 0

pageSize

String

Number of Transactions per page. Should be greater than 0 and less than 500

{
    "status": 1,
    "code": 200,
    "data": [
        {
            "transactionId": 1,
            "sourceCoin": 54,
            "destinationCoin": 6,
            "amount": 1,
            "quantity": 0.00041,
            "rate": 2448.61,
            "sourceChain": 3,
            "destinationChain": 3,
            "createdAt": "2024-08-07T11:59:41.000Z",
            "updatedAt": "2024-08-07T15:24:39.000Z",
            "status": 0
        },
        {
            "transactionId": 2,
            "sourceCoin": 54,
            "destinationCoin": 6,
            "amount": 1,
            "quantity": 0.00041,
            "rate": 2448.61,
            "sourceChain": 3,
            "destinationChain": 3,
            "createdAt": "2024-08-07T12:12:34.000Z",
            "updatedAt": "2024-08-07T14:59:44.000Z",
            "status": 0
        }
    ]
}

  • status -> 0 is for unsuccessful request, 1 is for a successful one.

  • transactionId -> unique identifier of the transaction

  • createdAt -> time at which the transaction was created.

  • amount -> Quantity of crypto received by the onramp.money.

  • quantity -> Actual crypto amount received by user

  • sourceCoin -> id of source coin

  • destinationCoin -> id of destination coin

  • sourceNetwork -> networkId of source coin

  • destinationNetwork -> networkId of destination coin

  • status -> current status of Swap transaction

    • 0 - Order Created

    • 1 - Errored - Contact Admin

    • 2 - Processing

    • 3 - Processed

    • 4 - withdraw error

    • 5 - Withdraw Initiated

    • 6 - Withdraw Processed

Last updated